export var createField = function createField(data) {
  return function (dispatch) {
    dispatch({
      type: 'CREATE_FIELD',
      payload: {
        data: data
      }
    });
  };
};
export var deleteField = function deleteField(id) {
  return function (dispatch) {
    dispatch({
      type: 'DELETE_FIELD',
      payload: {
        id: id
      }
    });
  };
};
export var updateField = function updateField(data) {
  return function (dispatch) {
    dispatch({
      type: 'UPDATE_FIELD',
      payload: {
        data: data
      }
    });
  };
};
export var setPredefinedValues = function setPredefinedValues(data) {
  return function (dispatch) {
    dispatch({
      type: 'SET_PREDEFINED',
      payload: {
        data: data
      }
    });
  };
};
export var setUsers = function setUsers(data) {
  return function (dispatch) {
    dispatch({
      type: 'SET_USERS',
      payload: {
        data: data
      }
    });
  };
};
export var setPredefinedEndpoint = function setPredefinedEndpoint(data) {
  return function (dispatch) {
    dispatch({
      type: 'SET_PREDEFINED_ENDPOINT',
      payload: {
        data: data
      }
    });
  };
};
export var setFileUploadUrl = function setFileUploadUrl(data) {
  return function (dispatch) {
    dispatch({
      type: 'SET_FILE_UPLOAD_URL',
      payload: {
        data: data
      }
    });
  };
};
export var setInitialData = function setInitialData(data) {
  return function (dispatch) {
    dispatch({
      type: 'SET_INITIAL',
      payload: {
        data: data
      }
    });
  };
};
export var setConditionableFields = function setConditionableFields(data) {
  return function (dispatch) {
    dispatch({
      type: 'SET_CONDITIONABLE_FIELDS',
      payload: {
        data: data
      }
    });
  };
};
export var deleteNewField = function deleteNewField() {
  return function (dispatch) {
    dispatch({
      type: 'DELETE_NEW_FIELD',
      payload: {}
    });
  };
};
export var setOrder = function setOrder(data) {
  return function (dispatch) {
    dispatch({
      type: 'SET_ORDER',
      payload: {
        data: data
      }
    });
  };
};
export var setLocals = function setLocals(data) {
  return function (dispatch) {
    dispatch({
      type: 'SET_LOCALS',
      payload: {
        data: data
      }
    });
  };
};
export var setTheme = function setTheme(data) {
  return function (dispatch) {
    dispatch({
      type: 'SET_THEME',
      payload: {
        data: data
      }
    });
  };
};
export var setCurrentLang = function setCurrentLang(data) {
  return function (dispatch) {
    dispatch({
      type: 'SET_CURRENT_LANGUAGE',
      payload: {
        data: data
      }
    });
  };
};
export var setAddLanguageSelect = function setAddLanguageSelect(data) {
  return function (dispatch) {
    dispatch({
      type: 'SET_ADD_LANGUAGE_SELECT',
      payload: {
        data: data
      }
    });
  };
};