var _jsxFileName = "/home/mirza/code/formbuilder/src/utils/radio/RadioGroup.js";
import React from 'react';
import { makeStyles } from '@material-ui/core/styles';
import FormControlLabel from '@material-ui/core/FormControlLabel';
import FormControl from "@material-ui/core/FormControl";
import FormLabel from "@material-ui/core/FormLabel";
import FormHelperText from "@material-ui/core/FormHelperText";
import _ from 'lodash';
import RadioGroup from "@material-ui/core/RadioGroup";
import Radio from "@material-ui/core/Radio";
export default function CustomRadioGroup(props) {
  var _this = this;

  var options = props.options,
      value = props.value,
      handleChange = props.handleChange,
      label = props.label,
      error = props.error,
      required = props.required,
      helperText = props.helperText,
      disabled = props.disabled;
  var labelProp = props.labelProp ? props.labelProp : 'label';
  var valueProp = props.valueProp ? props.valueProp : 'value';
  return /*#__PURE__*/React.createElement(FormControl, {
    required: required,
    error: error,
    component: "fieldset",
    disabled: disabled,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 17,
      columnNumber: 5
    }
  }, /*#__PURE__*/React.createElement(FormLabel, {
    component: "label",
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 18,
      columnNumber: 7
    }
  }, label), /*#__PURE__*/React.createElement(RadioGroup, {
    value: value,
    onChange: handleChange,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 19,
      columnNumber: 7
    }
  }, options.map(function (option) {
    return /*#__PURE__*/React.createElement(FormControlLabel, {
      key: 'option-' + option[valueProp],
      control: /*#__PURE__*/React.createElement(Radio, {
        color: "primary",
        value: option[valueProp],
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 23,
          columnNumber: 15
        }
      }),
      label: option[labelProp],
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 21,
        columnNumber: 11
      }
    });
  })), /*#__PURE__*/React.createElement(FormHelperText, {
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 29,
      columnNumber: 7
    }
  }, error ? error : helperText ? helperText : ''));
}