"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireWildcard(require("react"));

var _this = void 0,
    _jsxFileName = "/home/mirza/code/formbuilder/src/components/app/DroppableField.js";

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var _default = function _default(props) {
  var _useState = (0, _react.useState)(false),
      dragOver = _useState[0],
      setDragOver = _useState[1];

  var _onDragOver = function onDragOver(e) {
    e.preventDefault();
    setDragOver(true);
  };

  var _onDragLeave = function onDragLeave(e) {
    setDragOver(false);
  };

  var dropCallback = function dropCallback() {
    setDragOver(false);
  };

  if (props.onDragExisitingField) {
    return /*#__PURE__*/_react["default"].createElement("div", {
      onDragOver: function onDragOver(e) {
        _onDragOver(e);
      },
      onDrop: function onDrop(e) {
        props.onDrop(props.data.index, props.data.field.type, props.data.field.uuid, props.data.field.order, e, dropCallback);
      },
      onDragLeave: function onDragLeave(e) {
        _onDragLeave(e);
      },
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 17,
        columnNumber: 7
      }
    }, /*#__PURE__*/_react["default"].createElement("div", {
      className: dragOver ? " droppable-border-active " : '',
      style: {
        height: dragOver ? 70 : 10
      },
      __self: _this,
      __source: {
        fileName: _jsxFileName,
        lineNumber: 22,
        columnNumber: 9
      }
    }));
  }

  return /*#__PURE__*/_react["default"].createElement("div", {
    onDragOver: function onDragOver(e) {
      _onDragOver(e);
    },
    onDrop: function onDrop(e) {
      props.onDrop(e, props.order, dropCallback);
    },
    onDragLeave: function onDragLeave(e) {
      _onDragLeave(e);
    },
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 27,
      columnNumber: 5
    }
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: dragOver ? " droppable-border-active " : '',
    style: {
      height: dragOver ? 70 : 10
    },
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 32,
      columnNumber: 9
    }
  }));
};

exports["default"] = _default;
module.exports = exports.default;