"use strict";

exports.__esModule = true;
exports.imageFieldsConfigs = void 0;

var _Globals = require("../../../../utils/Globals");

var imageFieldsConfigs = {
  href: {
    type: _Globals.FIELD_TYPES.TEXT,
    configs: {
      label: {
        en: 'Link on image',
        ar: 'رابط على الصورة'
      }
    }
  },
  tooltip: {
    type: _Globals.FIELD_TYPES.TEXT,
    isTranslatable: true,
    configs: {
      label: {
        en: 'Tooltip on image',
        ar: 'تلميح على الصورة'
      }
    }
  }
};
exports.imageFieldsConfigs = imageFieldsConfigs;