var _jsxFileName = "/home/mirza/code/formbuilder/src/components/app/fields-wrappers/Signature.js";
import React from 'react';
import { FormControl, InputLabel } from '@material-ui/core';
import Icon from '../../toolbar/icons';
import { makeStyles } from '@material-ui/core/styles';
import FormHelperText from '@material-ui/core/FormHelperText';
var useStyles = makeStyles(function (theme) {
  return {
    labelRoot: {
      transform: 'none'
    },
    signatureIcon: {
      marginTop: '2rem',
      display: 'flex',
      justifyContent: 'center'
    }
  };
});
export default function SignatureWrapper(props) {
  var _props$data;

  var classes = useStyles();
  var isRequired = props.data.config.isRequired;
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(FormControl, {
    required: isRequired,
    fullWidth: true,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 24,
      columnNumber: 5
    }
  }, /*#__PURE__*/React.createElement(InputLabel, {
    shrink: true,
    classes: {
      shrink: classes.labelRoot
    },
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 25,
      columnNumber: 9
    }
  }, ((_props$data = props.data) == null ? void 0 : _props$data.locals) && Object.keys(props.data.locals).length !== 0 ? props.currentLang === 'en' ? props.data.name : props.data.locals.ar.name_ar : props.data.name)), /*#__PURE__*/React.createElement("div", {
    className: classes.signatureIcon,
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 27,
      columnNumber: 5
    }
  }, /*#__PURE__*/React.createElement(Icon, {
    name: "signature",
    height: "50px",
    width: "50px",
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 28,
      columnNumber: 7
    }
  })), /*#__PURE__*/React.createElement(FormHelperText, {
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 30,
      columnNumber: 5
    }
  }, props.data.config.helpText));
}