import { FIELD_TYPES } from '../../../../utils/Globals';
export var selectFieldsConfigs = {
  isRequired: {
    type: FIELD_TYPES.CHECKBOX,
    configs: {
      label: {
        en: 'Required',
        ar: 'مطلوب'
      }
    }
  },
  name: {
    type: FIELD_TYPES.TEXT,
    isTranslatable: true,
    error: true,
    configs: {
      label: {
        en: 'Field Name',
        ar: 'اسم الحقل'
      },
      required: true,
      autoFocus: true
    }
  },
  helpText: {
    type: FIELD_TYPES.TEXT,
    isTranslatable: true,
    configs: {
      label: {
        en: 'Help Text',
        ar: 'نص المساعدة'
      }
    }
  },
  placeholder: {
    type: FIELD_TYPES.TEXT,
    isTranslatable: true,
    configs: {
      label: {
        en: 'Placeholder',
        ar: 'نائب'
      }
    }
  }
};