"use strict";

exports.__esModule = true;
exports["default"] = ChoiceItem;

var _react = _interopRequireDefault(require("react"));

var _TextInput = _interopRequireDefault(require("../inputs/TextInput"));

var _jsxFileName = "/home/mirza/code/formbuilder/src/utils/choices/ChoiceItem.js";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function ChoiceItem(props) {
  var _React$useState = _react["default"].useState(props.label),
      label = _React$useState[0],
      setLabel = _React$useState[1];

  var handleChange = function handleChange(e) {
    setLabel(e.target.value);
  };

  return /*#__PURE__*/_react["default"].createElement(_TextInput["default"], {
    disabled: props.disabled,
    value: label,
    handleChange: handleChange,
    onBlur: function onBlur(e) {
      return props.updateChoice(e.target.value, props.index);
    },
    __self: this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 12,
      columnNumber: 5
    }
  });
}

module.exports = exports.default;